Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.data
Class SamplesModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.eviware.soapui.impl.wsdl.loadtest.data.SamplesModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class SamplesModel

extends javax.swing.table.AbstractTableModel

TableModel holding loadtest samples

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SamplesModel.TestSample` Holder for a TestSample

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`SamplesModel(LoadTest loadTest)`

Method Summary
`void` | `addSamples(SamplesModel.TestSample[] newSamples)`
`void` | `clear()`
`java.lang.Class<?>` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.util.List<SamplesModel.TestSample[]>` | `getSamples()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `release()`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamplesModel

    public SamplesModel(LoadTest loadTest)

Method Detail

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

### addSamples

    public void addSamples(SamplesModel.TestSample[] newSamples)

### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### clear

    public void clear()

### getSamples

    public java.util.List<SamplesModel.TestSample[]> getSamples()

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.